/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.ui.perspective;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

/**
 * 翻訳パースペクティブのファクトリーです。
 */
public class TranslationPerspectiveFactory implements IPerspectiveFactory {

	private static final String ID_PROJECT_EXPLORER = "org.eclipse.ui.navigator.ProjectExplorer";
	private static final String ID_TRANSLATION = "benten.cat.translation.ui.views.TranslationView";
	private static final String ID_GLOSSARY = "benten.cat.glossary.ui.views.GlossaryView";

	/*
	 * (非 Javadoc)
	 * @see org.eclipse.ui.IPerspectiveFactory#createInitialLayout(org.eclipse.ui.IPageLayout)
	 */
	public void createInitialLayout(IPageLayout layout) {
		defineActions(layout);
		defineLayout(layout);
	}

	protected void defineActions(IPageLayout layout) {
	}

	protected void defineLayout(IPageLayout layout) {

		String editorArea = layout.getEditorArea();

		IFolderLayout bottomLeft = layout.createFolder("bottomLeft", IPageLayout.BOTTOM, (float) 0.7, editorArea);
		bottomLeft.addView(ID_PROJECT_EXPLORER);

		IFolderLayout bottomCenter = layout.createFolder("bottomCenter", IPageLayout.RIGHT, (float) 0.25, "bottomLeft");
		bottomCenter.addView(IPageLayout.ID_OUTLINE);
		bottomCenter.addView(IPageLayout.ID_PROBLEM_VIEW);

		IFolderLayout bottomRight = layout.createFolder("bottomRight", IPageLayout.RIGHT, (float) 0.4, "bottomCenter");
		bottomRight.addView(ID_TRANSLATION);

		IFolderLayout bottomRightBottom = layout.createFolder("bottomRightBottom", IPageLayout.BOTTOM, (float) 0.5,
				"bottomRight");
		bottomRightBottom.addView(ID_GLOSSARY);
	}
}
